=== debian/control ===
Source: ros-bouncy-logging-demo
Section: misc
Priority: extra
Maintainer: D. Hood <dhood@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-ament-cmake-pytest, ros-bouncy-ament-index-cpp, ros-bouncy-ament-lint-auto, ros-bouncy-ament-lint-common, ros-bouncy-class-loader, ros-bouncy-launch, ros-bouncy-launch-testing, ros-bouncy-rclcpp, ros-bouncy-rcutils, ros-bouncy-rmw-implementation-cmake, ros-bouncy-rosidl-cmake, ros-bouncy-rosidl-default-generators, ros-bouncy-std-msgs, ros-bouncy-ros-workspace, ros-bouncy-rmw-connext-cpp, ros-bouncy-rmw-fastrtps-cpp, ros-bouncy-rmw-implementation, ros-bouncy-rmw-opensplice-cpp, ros-bouncy-rosidl-typesupport-connext-c, ros-bouncy-rosidl-typesupport-connext-cpp, ros-bouncy-rosidl-typesupport-opensplice-c, ros-bouncy-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-bouncy-logging-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ament-index-cpp, ros-bouncy-class-loader, ros-bouncy-rclcpp, ros-bouncy-rcutils, ros-bouncy-rosidl-default-runtime, ros-bouncy-std-msgs, ros-bouncy-ros-workspace
Description: Examples for using and configuring loggers.
